/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Engines\Quests\Witch Apprentice\Mobiles\Zeefzorpul.cs
Lines of code: 39
***********************************************************/


using System;
using Server;
using Server.Mobiles;
using Server.Items;

namespace Server.Engines.Quests.Hag
{
	public class Zeefzorpul : BaseQuester
	{
		public Zeefzorpul()
		{
		}

		public override void InitBody()
		{
			Body = 0x4A;
			Name = "Zeefzorpul";
		}

		public Zeefzorpul( Serial serial ) : base( serial )
		{
		}

		public override bool CanTalkTo( PlayerMobile to )
		{
			return false;
		}

		public override void OnTalk( PlayerMobile player, bool contextMenu )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			Delete();
		}
	}
}